DB_ENV->get_mp_tablesize()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->get_mp_tablesize()

    #include <db.h>

    int
    DB_ENV->get_mp_tablesize(DB_ENV *dbenv, u_int32_t *tablesizep);

The `DB_ENV->get_mp_tablesize()` method returns the hash table size in the buffer pool.

### Parameters

#### tablesize

This parameter specifies the hash table size in the buffer pool.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->set_mp_tablesize()

Prev | Up | Next
DB_ENV->get_mp_pagesize() | Home | DB_ENV->memp_fcreate()